# -*- rpm-spec -*-
# $Id: attr,v 1.5 2006/09/15 12:47:42 me Exp $

%def_with static

Name: attr
Version: 2.4.32
Release: alt1.0

Summary: Utility for managing filesystem extended attributes
License: LGPL
Group: System/Kernel and hardware
Url: http://oss.sgi.com/projects/xfs/

Source: %name-%version.tar.bz2
Requires: lib%name = %version-%release
BuildRequires: libtool_1.4, rpm-build >= 4.0.4-alt10

%description
A set of tools for manipulating extended attributes on filesystem
objects, in particular getfattr(1) and setfattr(1).
An attr(1) command is also provided which is largely compatible
with the SGI IRIX tool of the same name.

%package -n lib%name
Summary: Main library for lib%name, extended attributes manipulation library
Group: System/Libraries

%package -n lib%name-devel
Summary: Extended attribute static libraries and headers
Group: Development/C
Requires: lib%name = %version-%release

%package -n lib%name-devel-static
Summary: Extended attribute static libraries and headers
Group: Development/C
Requires: lib%name-devel = %version-%release

%description -n lib%name
This package contains the library needed to run programs dynamically
linked with lib%name.

%description -n lib%name-devel
This package contains the libraries and header files needed to
develop programs which make use of extended attributes.
For Linux programs, the documented system call API is the
recommended interface, but an SGI IRIX compatibility interface
is also provided.

Currently only ext2, ext3, JFS and XFS support extended attributes.
The SGI IRIX compatibility API built above the Linux system calls is
used by programs such as xfsdump(8), xfsrestore(8) and xfs_fsr(8).

You should install this package if you want to develop programs
which make use of extended attributes.

%description -n lib%name-devel-static
This package contains the static libraries needed to
develop programs which make use of extended attributes.
This is an *experimental* interface, currently only XFS is
supported, and the interface may change.

You should install this package if you want to develop programs
which make use of extended attributes.

%prep
%setup -q

%build
%set_libtool_version 1.4
export DEBUG="-DNDEBUG"
autoconf
%configure
%make_build

%install
make install install-lib install-dev DIST_ROOT=%buildroot

# Workaround bug in makefiles
%__rm -f %buildroot%_libdir/*.{so,*a}
%__rm -rf %buildroot%_datadir/doc/%name
%__install -p -m644 */.libs/*.a %buildroot%_libdir/

# Relocate shared libraries from %_libdir/ to /%_lib/.
%__mkdir_p %buildroot/%_lib
%__mv %buildroot%_libdir/*.so.* %buildroot/%_lib/
%__chmod 644 %buildroot/%_lib/*
for f in */.libs/*.so; do
	t=`objdump -p "$f" |awk '/SONAME/ {print $2}'`
	[ -n "$t" ]
	%__ln_s -nf ../../%_lib/"$t" "%buildroot%_libdir/${f##*/}"
done

%find_lang %name

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files -f %name.lang
%doc README doc/CHANGES.gz doc/ea-conv
%_bindir/*
%_mandir/man[15]/*

%files -n lib%name
/%_lib/*.so.*

%files -n lib%name-devel
%_libdir/*.so
%_mandir/man[23]/*
%_includedir/*

%if_with static
%files -n lib%name-devel-static
%_libdir/*.a
%endif

%changelog
* Mon Apr 16 2007 ALT QA Team Robot <qa-robot@altlinux.org> 2.4.32-alt1.0
- Automated rebuild.

* Thu Sep 14 2006 Sergey Bolshakov <sbolshakov@altlinux.ru> 2.4.32-alt1
- 2.4.32

* Mon Aug 30 2004 Anton D. Kachalov <mouse@altlinux.org> 2.4.15-alt2
- Multilib support (#5093)

* Sat May 15 2004 Alexander Bokovoy <ab@altlinux.ru> 2.4.15-alt1
- 2.4.15

* Thu Dec 11 2003 Alexander Bokovoy <ab@altlinux.ru> 2.4.12-alt1
- 2.4.12

* Thu Aug 21 2003 Dmitry V. Levin <ldv@altlinux.org> 2.2.0-alt2
- Explicitly use old libtool for build.
- Corrected interpackage dependencies.
- Fixed -devel packaging.

* Tue May 20 2003 Alexander Bokovoy <ab@altlinux.ru> 2.2.0-alt1
- 2.2.0, maintainer change.
- Updated buildrequires
- removed outdated patches

* Fri Dec 27 2002 Konstantin Volckov <goldhead@altlinux.ru> 2.0.8-alt1
- 2.0.8
- Added buildrequires

* Wed Apr 10 2002 Konstantin Volckov <goldhead@altlinux.ru> 2.0.5-alt0.1cvs
- 2.0.5

* Wed Nov 21 2001 Konstantin Volckov <goldhead@altlinux.ru> 1.1.3-alt3
- Rebuilt with libxfs 1.3.13

* Wed Oct 31 2001 Konstantin Volckov <goldhead@altlinux.ru> 1.1.3-alt2
- Rebuilt with libxfs 1.3.7

* Thu Sep 20 2001 Konstantin Volckov <goldhead@altlinux.ru> 1.1.3-alt1
- First build for Sisyphus

* Fri Sep  7 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.1.3-2mdk
- Fix provides.

* Fri Sep  7 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.1.3-1mdk
- Rework the .spec.
- Make libs in subpackage.
- 1.1.3.

* Wed May  2 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.1-1mdk
- First attempt.


